Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class URLEncoder

    java.lang.Object
      |
      +--com.bea.util.URLEncoder

public class URLEncoder
extends java.lang.Object

The class contains a utility method for converting a `String` into a MIME format called "`x-www-form-urlencoded`" format.

To convert a `String`, each character is examined in turn:

- The ASCII characters '`a`' through '`z`', '`A`' through '`Z`', '`0`' through '`9`', and ".", "-", "*", "_" remain the same.
- The space character '`` ' is converted into a plus sign '`+`'.
- All other characters are converted into the 3-character string "`%xy`", where xy is the two-digit hexadecimal representation of the lower 8-bits of the character.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`static java.lang.String` | `encode(java.lang.String s, java.lang.String encoding)` Translates a string into `x-www-form-urlencoded` format.
`protected static java.lang.String` | `internalEncode(java.lang.String s, java.lang.String encoding, java.lang.String token)`
`static java.lang.String` | `jspEncode(java.lang.String s)` Translates a string into `x-www-form-urlencoded` format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### internalEncode

    protected static java.lang.String internalEncode(java.lang.String s,
                                                     java.lang.String encoding,
                                                     java.lang.String token)
                                              throws java.io.UnsupportedEncodingException

### encode

    public static java.lang.String encode(java.lang.String s,
                                          java.lang.String encoding)
                                   throws java.io.UnsupportedEncodingException

  Translates a string into `x-www-form-urlencoded` format.

  Parameters:
    `s` - `String` to be translated.
  Returns:
    the translated `String`.

### jspEncode

    public static java.lang.String jspEncode(java.lang.String s)
                                      throws java.io.UnsupportedEncodingException

  Translates a string into `x-www-form-urlencoded` format.

  Parameters:
    `s` - `String` to be translated.
  Returns:
    the translated `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)